Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039921
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Auto BOM For Retailmajoralways2019-01-10 17:502019-01-18 14:44
ReporterngarciaView Statuspublic 
Assigned Tojorge-garcia 
PriorityimmediateResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision5f83463be03d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039921: Wrong M_STORAGE_DETAIL table if 'support for attributes' is set to N and a autobom product without stock is sell on POS

DescriptionWrong M_STORAGE_DETAIL table if 'support for attributes' is set to N and a autobom product without stock is sell on POS

As triggers are disabled, the M_STORAGE_DETAIL is not correctly updated
Steps To ReproduceNote: the instance should be activated as it is needed to define a storage bin in Product - Manufacturing tab. It is hidden in livebuilds

In the backoffice:
   Leave the 'Web POS Enable support for product attributes' preference to N
   Create a new product
   Set it as Stocked, Bill Of Materials and Auto BOM For Retail
   Add it in the store's price list and assortment
   Assign an attribute set with Require At Least One Value to it
   Set a Storage Bin in Product - Manufacturing tab for the store

In the POS:
   Create a new ticket
   Add previously created product
   Pay it

In the backoffice:
   Go to Product - Transactions tab and check two transactions have been created there: a positive one related with the bill of materials production and a negative one related with the goods shipment

   Go to Product - Stock tab and check the Quantity On Hand is -1 and it should be 0
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108990)
hgbot (developer)
2019-01-17 09:50

Repository: erp/pmods/org.openbravo.retail.autobom
Changeset: 5f83463be03d877ed7ad05cab69a8e8f11197de3
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Thu Jan 17 09:47:04 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.autobom/rev/5f83463be03d877ed7ad05cab69a8e8f11197de3 [^]

Fixed issue 39921: Wrong M_STORAGE_DETAIL table if 'support for attributes'
is set to N and a autobom product without stock is sell on POS

The solution is to update the stock for auto BOM product using
m_update_inventory function.

---
M src/org/openbravo/retail/autobom/BOMProcess.java
---

- Issue History
Date Modified Username Field Change
2019-01-10 17:50 ngarcia New Issue
2019-01-10 17:50 ngarcia Assigned To => Retail
2019-01-10 17:50 ngarcia Triggers an Emergency Pack => No
2019-01-10 17:51 ngarcia Issue Monitored: networkb
2019-01-11 13:05 marvintm Status new => scheduled
2019-01-11 13:05 marvintm Assigned To Retail => jorge-garcia
2019-01-17 09:50 hgbot Checkin
2019-01-17 09:50 hgbot Note Added: 0108990
2019-01-17 09:50 hgbot Status scheduled => resolved
2019-01-17 09:50 hgbot Resolution open => fixed
2019-01-17 09:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.autobom/rev/5f83463be03d877ed7ad05cab69a8e8f11197de3 [^]
2019-01-18 14:44 marvintm Review Assigned To => marvintm
2019-01-18 14:44 marvintm Status resolved => closed
2019-01-18 14:44 marvintm Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker